=== debian/changelog ===
morbig (0.9-1) unstable; urgency=medium

  * First upstream release (closes: #907985)

 -- Ralf Treinen <treinen@debian.org>  Sun, 09 Sep 2018 21:23:17 +0200
