=== debian/control ===
Source: morbig
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper (>= 11), dh-ocaml,
 ocaml-nox (>= 4.02.3),
 ocamlbuild | ocaml-nox (<< 4.05),
 ocaml-findlib,
 menhir (>= 20170509),
 libmenhir-ocaml-dev (>= 20170509),
 libppx-deriving-yojson-ocaml-dev,
 libppx-visitors-ocaml-dev,
 libyojson-ocaml-dev (>= 1.3.2),
Standards-Version: 4.2.1
Homepage: https://github.com/colis-anr/morbig
Vcs-Git: https://salsa.debian.org/ocaml-team/morbig.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/morbig

Package: libmorbig-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml libraries of the morbig shell parser (development files)
 Morbig is a parser for shell scripts that are written in the POSIX
 shell script language. It parses the scripts statically, that is
 without executing them, and constructs a concrete syntax tree for
 each of them. The concrete syntax trees are built using constructors
 according to the shell grammar of the POSIX standard.
 .
 This package contains the development stuff you need to use morbig for
 the development of programs. It provides, among others, functions for
 parsing shell scripts, the type definition of concrete syntax trees,
 and functions for reading and writing concrete syntax trees.

Package: morbig
Section: devel
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}, xz-utils
Description: Parser for POSIX shell scripts
 Morbig is a parser for shell scripts that are written in the POSIX
 shell script language. It parses the scripts statically, that is
 without executing them, and constructs a concrete syntax tree for
 each of them.  The concrete syntax trees are built using constructors
 according to the shell grammar of the POSIX standard.
 .
 This package contains the parser tool which allows you to parse shell
 scripts, and to obtain their concrete syntax tree in various formats.
