=== debian/rules ===
#!/usr/bin/make -f

INSTALLDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_test:
	# do nothing

override_dh_auto_build:
	dh_auto_build
	make doc

override_dh_auto_install:
	PREFIX=$(INSTALLDIR)/usr make install

override_dh_missing:
	dh_missing --fail-missing
