=== debian/tests/control ===
Tests: standalone
Depends: morbig

Tests: api-ocaml
Depends: libmorbig-ocaml-dev, ocaml-nox, ocaml-findlib, ocamlbuild
