## morbig 0.9.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: all debug clean checks uninstall doc install install-local dist
+.PHONY: all debug clean checks uninstall doc install install-local dist examples
 .PHONY: docker-image publish-docker-image
 
 EXPORTED_SOURCES=				\
@@ -76,22 +76,19 @@
 	  echo "$$output" | tee tests.org ; \
 	  exit $$status
 
-VERSION := $(shell cat VERSION)
-NAME_VERSION := morbig.${VERSION}
-ARCHIVE := https://github.com/colis-anr/morbig/archive/v${VERSION}.tar.gz
-CHECKSUM := $$(wget -qO- "${ARCHIVE}" | md5sum | cut -d ' ' -f 1)
+examples:
+	find examples -name 'Makefile' | \
+	    while read file; do dirname "$$file"; done | \
+	    xargs -n1 make -C
 
 opam-release:
-	mkdir "${NAME_VERSION}"
-	cp descr opam "${NAME_VERSION}"
-	printf 'archive: "%s"\nchecksum: "%s"\n' "${ARCHIVE}" "${CHECKSUM}" > "${NAME_VERSION}"/url
-	@printf 'Check the content of ${NAME_VERSION}. When happy, run:\nopam publish submit ${NAME_VERSION}\n'
+	@printf 'You need `opam-publish` installed with `tls`.\n'
+	opam publish
 
 clean:
 	$(MAKE) -C src clean
 	rm -f src/version.ml
 	rm -f tests.org
-	rm -rf "${NAME_VERSION}"
 	tests/run clean
 	[ ! -d bin ] || rm -fr bin
 	[ ! -d lib ] || rm -fr lib
