=== debian/changelog ===
morbig (0.9.1-2) unstable; urgency=medium

  * Standards-Version 4.3.0 (no change)
  * Debhelper compatibility level 12

 -- Ralf Treinen <treinen@debian.org>  Wed, 09 Jan 2019 17:55:13 +0100

morbig (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * libmorbig-ocaml-dev: add Suggests ocaml-findlib
  * Install morbig.1 manpage via debian/morbig.manpages
  * Install examples provided by upstream
  * patch makefile: fix compilation on bytecode architectures
  * patch version_0.9.1: upstream forgot to increment version
  * debian/tests: add a test for the C API
  * add debian/upstream/metadata

 -- Ralf Treinen <treinen@debian.org>  Sun, 02 Dec 2018 21:30:09 +0100
