=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper (>= 11), dh-ocaml,
+Build-Depends: debhelper (>= 12), dh-ocaml,
  ocaml-nox (>= 4.02.3),
  ocamlbuild | ocaml-nox (<< 4.05),
  ocaml-findlib,
@@ -12,7 +12,7 @@
  libppx-deriving-yojson-ocaml-dev,
  libppx-visitors-ocaml-dev,
  libyojson-ocaml-dev (>= 1.3.2),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/colis-anr/morbig
 Vcs-Git: https://salsa.debian.org/ocaml-team/morbig.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/morbig
@@ -20,6 +20,7 @@
 Package: libmorbig-ocaml-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+Suggests: ocaml-findlib
 Provides: ${ocaml:Provides}
 Description: OCaml libraries of the morbig shell parser (development files)
  Morbig is a parser for shell scripts that are written in the POSIX
