=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,9 @@
 override_dh_auto_install:
 	PREFIX=$(INSTALLDIR)/usr make install
 
+override_dh_installexamples:
+	dh_installexamples
+	rm $(INSTALLDIR)/../libmorbig-ocaml-dev/usr/share/doc/libmorbig-ocaml-dev/examples/c/.gitignore
+
 override_dh_missing:
 	dh_missing --fail-missing
