=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
	 https://github.com/colis-anr/morbig.git \
         refs/tags/v([\d.]+)
