=== examples/c/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 all:
 	$(CC) -o dump -I $(STDDIR) -I $(LIBDIR) \
-            dump.c -lm -ldl $(LIBDIR)/libmorbigc.a
+            dump.c $(LIBDIR)/libmorbigc.o -lm -ldl
 
 clean:
 	rm -f dump
