=== debian/changelog ===
morbig (0.10.4-7build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:20:41 +0100

morbig (0.10.4-7build2) noble; urgency=medium

  * Rebuild against 'new OCAML ABIs'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 07:54:34 +0100

morbig (0.10.4-7build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:17:18 +0100

morbig (0.10.4-7) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:49:40 +0200

morbig (0.10.4-6) unstable; urgency=medium

  * Re-upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 23 Oct 2022 22:07:30 +0200

morbig (0.10.4-5.1) experimental; urgency=medium

  [ Ralf Treinen ]
  * upstream/metadata:
    - remove deprecated fields "name" and "contact"
    - update reference

  [ Julien Puydt ]
  * Team upload.
  * Add fix_yojson_2.patch.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 12 Aug 2022 22:06:35 +0200

morbig (0.10.4-5) unstable; urgency=medium

  * Standards-Version 4.6.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 04 Oct 2021 08:09:05 +0200

morbig (0.10.4-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Add empty dh_dwz override to fix FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jul 2020 08:56:09 +0200

morbig (0.10.4-3) unstable; urgency=medium

  * Standards-Version 4.5.0 (no change)
  * d/rules: drop override of dh_dwz which is no longer needed
  * add "examples/c/.gitignore" to the import filter

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Feb 2020 22:25:25 +0100

morbig (0.10.4-2) unstable; urgency=medium

  * Restore the build-dependency on ocamlbuild as it is still used
    to build the doc.
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 09 Nov 2019 07:03:08 +0100

morbig (0.10.4-1) unstable; urgency=medium

  * New upstream version
  * Change build-dependency on dune to its new name ocaml-dune
  * Drop build-dependency on ocamlbuild
  * Standards-Version 4.4.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 08 Nov 2019 23:44:46 +0100

morbig (0.10.3-2) experimental; urgency=medium

  * d/rules: invoke dh_dwz only on archictures where ocaml compiles
    to native code.

 -- Ralf Treinen <treinen@debian.org>  Mon, 11 Mar 2019 17:14:25 +0100

morbig (0.10.3-1) experimental; urgency=medium

  * New upstream version.
  * Update debian/watch: initial 'v' of the tag optional.
  * Drop patches version_0.9.1 and makefile
  * debian/rules: don't build doc using odoc, but using ocamlbuild
  * debian/libmorbig-ocaml-dev.install:
    - adjust paths
    - drop stublibs since these are not build by the package
  * debian/morbig.manpages: adjust path (manpage not installed by dune)
  * Add Readme.md to debian/not-installed as it is not useful for debian.
  * Override dh_dwz to use option --no-dwz-multifile
  * Build-dependencies:
    - add dune but keep ocamlbuild as we still need it to build the
      documentation
    - require ocaml >= 4.04
    - require ocaml-visitors >= 20180513
    - debhelper-compat (=12); drop file debian/compat
  * autopkgtest:
    - api-ocaml: module Morbig.API has been renamed to Morbig.
    - Improve tests api-ocaml and api-c: more messages, also try compilation to
      native code when available

 -- Ralf Treinen <treinen@debian.org>  Sat, 09 Mar 2019 12:08:31 +0100
