=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper (>= 12), dh-ocaml,
- ocaml-nox (>= 4.02.3),
- ocamlbuild | ocaml-nox (<< 4.05),
+Build-Depends: debhelper-compat (= 13), dh-ocaml,
+ ocaml,
+ ocaml-dune,
  ocaml-findlib,
+ ocamlbuild,
  menhir (>= 20170509),
  libmenhir-ocaml-dev (>= 20170509),
  libppx-deriving-yojson-ocaml-dev,
- libppx-visitors-ocaml-dev,
- libyojson-ocaml-dev (>= 1.3.2),
-Standards-Version: 4.3.0
+ libppx-visitors-ocaml-dev (>= 20180513),
+ libyojson-ocaml-dev (>= 2.0.2),
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/colis-anr/morbig
 Vcs-Git: https://salsa.debian.org/ocaml-team/morbig.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/morbig
