=== debian/tests/control ===
Tests: standalone
Depends: morbig

Tests: api-ocaml
Depends: libmorbig-ocaml-dev, ocaml, ocaml-findlib, ocamlbuild

Tests: api-c
Depends: libmorbig-ocaml-dev, ocaml-findlib, gcc, make
