## morbig 0.11.0

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	dune clean
 	rm -f bin lib doc
 	rm -f tests.org
-	tests/run clean
+	tests/run clean || true
 
 PACKAGE=$(shell echo morbig-`cat VERSION`)
 
@@ -64,4 +64,4 @@
 	docker image push colisanr/morbig:latest
 
 headers:
-	cd src && headache -c .headache.conf -h .header *.ml *.ml[ily]
+	headache -h .header $(shell find src/ -regex '.*\.ml[ily]?')
