=== examples/c/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 all:
 	$(CC) -o dump -I $(STDDIR) -I $(LIBDIR) \
-            dump.c $(LIBDIR)/libmorbigc.o -lm -ldl
+            dump.c $(LIBDIR)/libmorbigc.o -lm -ldl -lpthread
 
 clean:
 	rm -f dump
