=== debian/changelog ===
morbig (0.11.0-3build9) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:40:49 +0200

morbig (0.11.0-3build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:06:24 +0200

morbig (0.11.0-3build7) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:53:30 +0100

morbig (0.11.0-3build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:10:55 +0100

morbig (0.11.0-3build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 21:53:06 +0100

morbig (0.11.0-3build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:24:48 +0100

morbig (0.11.0-3build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:03:50 +0100

morbig (0.11.0-3build2) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 13:13:30 +0100

morbig (0.11.0-3build1) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 18:32:26 +0200

morbig (0.11.0-3) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Aug 2024 07:22:08 +0200

morbig (0.11.0-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:46:45 +0200

morbig (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * Drop patch fix_yojson_2, this issue has been fixed upstream
  * Depend on minimal version 4.11 of ocaml, following upstream's README
  * Drop override of dh_installexamples since it is no longer needed,
    upstream dropped the annoying .gitignore file in the examples directory
  * Drop override of dh_dwz since dwz has been fixed to not fail on binaries
    without debug information.
  * clean target: remove src/_build and src/morbig.docdir (closes: #1047349)

 -- Ralf Treinen <treinen@debian.org>  Thu, 29 Feb 2024 23:31:15 +0100
