=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends: debhelper-compat (= 13), dh-ocaml,
- ocaml,
+ ocaml (>= 4.11),
  ocaml-dune,
  ocaml-findlib,
  ocamlbuild,
