=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

INSTALLDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_test:
	# do nothing

override_dh_auto_build:
	dh_auto_build
	cd src && ocamlbuild morbig.docdir/index.html

override_dh_auto_install:
	PREFIX=$(INSTALLDIR)/usr make install
